Get Store Product Revenue
HTTPBearerAuthorizationBearer <token>store_id*Store Iddate_from*Date FromFirst shop calendar day of the period (inclusive).
datedate_to*Date ToLast shop calendar day of the period (inclusive); at most tomorrow (UTC); the period is at most 366 days inclusive.
datecurrency?|Currency to convert into; defaults like GET /analytics/store-revenue?store_ids=<store_id>: the organization's default currency, else the most common shop currency.
vendor?array<string>|Only linked products with any of these vendors (OR within field)
product_type?array<string>|Only linked products with any of these product types (OR within field)
sort_by?Sort By"net""net""orders""units"sort_order?Sort Order"desc""asc""desc"skip?Skip0 <= value0limit?Limit1 <= value <= 25050subtract_refunds?Subtract RefundsSubtract refunds (RETURN sales) on the day of the refund. False: RETURN sales count in no amount; orders and units are unchanged.
trueSuccessful Response
application/json- response
Every product of one store with its net revenue in the period, converted into currency at today's rate.
currency*|nullcount*Countdata*array<>curl -X GET 'https://app.copyhero.app/api/v1/analytics/store-revenue/0/products?date_from=2019-08-24&date_to=2019-08-24'{ "currency": "AED", "count": 0, "data": [ { "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "title": "string", "image_url": "string", "published_at": "string", "net": "string", "orders": 0, "units": 0 } ]}Get Store Analytics GET
Get detailed analytics for a specific store. Returns store-specific metrics including: - store_id: The store ID - store_name: The store name - totals: Aggregated batch_count, task_count, jobs_count - workflow_breakdown: Per-workflow statistics for this store Access Control: - Regular users: Can only access their owned or employed stores (403 otherwise) - Superusers in a browser session: can access any store (API keys and MCP never act as superuser)
Get Store Product Series GET
Next Page